Bonuses

Get a list of temporary bonuses

Use this method to obtain a list of temporary bonuses that clients can claim in the Trader's Room.

GET
/api/v2/my/bonuses/temporary

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Sets the limit

Range1 <= value <= 1000
Default10
offset?integer

Sets the offset

Range0 <= value
Default0
sort_order?string

Sorts the items in ascending or descending order

Default"desc"

Value in

  • "asc"
  • "desc"
sort_by?unknown

Sorts the items by a specified value

Default"createTime"
filter[claimed]?string

Filter by claimed status. 1 — only claimed bonuses, 0 — only unclaimed bonuses.

Value in

  • "0"
  • "1"

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/bonuses/temporary?limit=10&offset=0&sort_order=desc" \  -H "accept-language: ja"
{  "total": 1,  "data": [    {      "id": 1,      "amount": {        "value": "100.00",        "scale": 16      },      "name": "MT5",      "default": 100,      "currency": {        "alphabeticCode": "USD",        "minorUnit": 2,        "name": "US Dollar",        "numericCode": 840      },      "dynamicLots": {        "value": "1.00",        "scale": 16      },      "claimed": false,      "volumeToComplete": {        "value": "1.00",        "scale": 2      },      "platform": {        "id": 1,        "name": "MetaTrader 5",        "caption": "MetaTrader5 Live",        "type": "MetaTrader5",        "isDemo": true,        "terminalUrl": "https://example.com"      },      "platformGroups": [        "USDCZK"      ],      "lifetime": 30,      "enableAutoCredit": true,      "scalpingThreshold": 120,      "disabledGroups": "‘EURJPY, USDJPY’",      "enableTrade": true,      "expiredAt": "2022-01-01T00:00:00+00:00",      "createdAt": "2022-01-01T00:00:00+00:00",      "updatedAt": "2022-01-01T00:00:00+00:00"    }  ]}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}